package hu.uniobuda.nik.googlemapsv2demo;

import java.util.ArrayList;
import java.util.List;

import android.graphics.Color;

import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;
import com.google.android.gms.maps.model.Polyline;
import com.google.android.gms.maps.model.PolylineOptions;

public class MarkerOverlay {

	public final static int DEFAULT_ICON = 0;
	
	private GoogleMap googleMap;
	private ArrayList<Marker> markers;
	private Polyline polyline;
	
	public MarkerOverlay(GoogleMap googleMap) {
		this.googleMap = googleMap;
		this.markers = new ArrayList<Marker>();
		this.polyline = googleMap.addPolyline(new PolylineOptions()
							.color(Color.BLUE).
							width(5));
	}
	
	public void addMarker(LatLng position, String title, String snippet, int icon){
		Marker marker = googleMap.addMarker(new MarkerOptions()
							.position(position)
							.title(title)
							.draggable(false)
							.icon(icon == DEFAULT_ICON ? BitmapDescriptorFactory.defaultMarker() : BitmapDescriptorFactory.fromResource(icon)));
		this.markers.add(marker);
		
		List<LatLng> points = this.polyline.getPoints();
		points.add(position);
		this.polyline.setPoints(points);
	}

	public void clearMarkers(){
		for(Marker m : markers) m.remove();
		markers.clear();
	}
	
}
